Defragment db1038
Closed, ResolvedPublic

Description

db1038 is reaching around 91% of /srv/ usage
This server is going to be decommissioned at some point but in order to avoid it paging during the summit period let's try to defragment some of the big tables across all the wikis to give us back some space.

Similar issues already hitting us on s3:
db1015 - T153739
db1044 - T153826

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2017, 8:06 AM

I have started the script to optimize revision, templatelinks and pagelinks on this host.

Mentioned in SAL (#wikimedia-operations) [2017-01-03T08:21:32Z] <marostegui> Run optimize table on db1038 on all the revision,templatelinks and pagelinks tables - T154465

Mentioned in SAL (#wikimedia-operations) [2017-01-05T07:11:46Z] <marostegui> Compressing revision tables across all the wikis - db1038 - T154465

jcrespo added a subscriber: jcrespo.

Mentioned in SAL (#wikimedia-operations) [2017-01-16T10:30:38Z] <marostegui> Compressing pagelinks tables on db1038 - T154465

Marostegui moved this task from Triage to In progress on the DBA board.Jan 16 2017, 10:30 AM

Mentioned in SAL (#wikimedia-operations) [2017-01-17T06:58:53Z] <marostegui> Compressing cebwiki/templatelinks (215G) table on db1038 - T154465

Mentioned in SAL (#wikimedia-operations) [2017-01-18T08:16:01Z] <marostegui> Compressing templatelinks tables on db1038 - T154465

Mentioned in SAL (#wikimedia-operations) [2017-01-18T08:18:45Z] <marostegui> Compressing templatelinks tables on db1035 - T154465

Mentioned in SAL (#wikimedia-operations) [2017-01-19T07:14:57Z] <marostegui> Compressing enwikivoyage.text and shwiki.logging tables on db1038 - T154465

I am now compressing the massive templatelinks tables on cebwiki

It looks good now

root@db1038:/srv/sqldata# df -hT /srv
Filesystem            Type  Size  Used Avail Use% Mounted on
/dev/mapper/tank-data xfs   1.6T  1.1T  572G  65% /srv
Marostegui closed this task as Resolved.Jan 20 2017, 7:10 AM